Package tigase.server

# Enum Class DataForm.FieldType

java.lang.Object
java.lang.Enum<DataForm.FieldType>
tigase.server.DataForm.FieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<DataForm.FieldType>`, `Constable`

Enclosing class:
  DataForm

public static enum DataForm.FieldType extends Enum<DataForm.FieldType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Boolean`
  `Fixed`
  `Hidden`
  `JidMulti`
  `JidSingle`
  `ListMulti`
  `ListSingle`
  `TextMulti`
  `TextPrivate`
  `TextSingle`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `value()`
  `static DataForm.FieldType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataForm.FieldType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Boolean

    public static final DataForm.FieldType Boolean

  - ### Fixed

    public static final DataForm.FieldType Fixed

  - ### Hidden

    public static final DataForm.FieldType Hidden

  - ### JidMulti

    public static final DataForm.FieldType JidMulti

  - ### JidSingle

    public static final DataForm.FieldType JidSingle

  - ### ListMulti

    public static final DataForm.FieldType ListMulti

  - ### ListSingle

    public static final DataForm.FieldType ListSingle

  - ### TextMulti

    public static final DataForm.FieldType TextMulti

  - ### TextPrivate

    public static final DataForm.FieldType TextPrivate

  - ### TextSingle

    public static final DataForm.FieldType TextSingle

- ## Method Details

  - ### values

    public static DataForm.FieldType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataForm.FieldType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()